from django.db import models

class matches(models.Model):
    id=models.IntegerField(primary_key=True)
    season=models.IntegerField()
    city=models.CharField(max_length=25)
    date=models.DateField()
    team1=models.CharField(max_length=150)
    team2=models.CharField(max_length=150)
    toss_winner=models.CharField(max_length=150)
    toss_decision=models.CharField(max_length=10)
    result=models.CharField(max_length=10)
    dl_applied=models.IntegerField()
    winner=models.CharField(max_length=150)
    win_by_run=models.IntegerField()
    win_by_wickets=models.IntegerField()
    player_of_match=models.CharField(max_length=150)
    venue=models.CharField(max_length=200)
    umpire1=models.CharField(max_length=100)
    umpire2=models.CharField(max_length=100)

class deliveries(models.Model):
    match_id=models.ForeignKey(matches,on_delete=models.CASCADE)
    innings=models.IntegerField()
    batting_team=models.CharField(max_length=150)
    bowling_team=models.CharField(max_length=150)
    over=models.IntegerField()
    ball=models.IntegerField()
    batsman=models.CharField(max_length=150)
    non_striker=models.CharField(max_length=150)
    bowler=models.CharField(max_length=150)
    is_super_over=models.IntegerField()
    wide_rund=models.IntegerField()
    bye_runs=models.IntegerField()
    legby_runs=models.IntegerField()
    noball_runs=models.IntegerField()
    panalty_runs=models.IntegerField()
    batsman_runs=models.IntegerField()
    extra_runs=models.IntegerField()
    total_runs=models.IntegerField()
    player_dismissed=models.CharField(max_length=150)
    dismissied_kind=models.CharField(max_length=100)
    fielder=models.CharField(max_length=150)